Bug 1398413 - glibc: backport libio vtable hardening
Summary: glibc: backport libio vtable hardening
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: glibc
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: DJ Delorie
QA Contact: Sergey Kolosov
URL:
Whiteboard:
: 1372306 (view as bug list)
Depends On:
Blocks: 1372375 1473718
TreeView+ depends on / blocked
 
Reported: 2016-11-24 18:24 UTC by Florian Weimer
Modified: 2019-07-03 11:20 UTC (History)
7 users (show)

Fixed In Version: glibc-2.17-204.el7
Doc Type: Enhancement
Doc Text:
All FILE*-based operations are now hardened against malicious attacks that attempt to manipulate function control flow by writing to the underlying FILE* memory. If a manipulation of the FILE* memory is detected the process is terminated.
Clone Of:
Environment:
Last Closed: 2018-04-10 13:58:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1566623 unspecified CLOSED glibc: Old-style function definitions without prototype in libio/strops.c 2020-10-14 00:28:05 UTC
Red Hat Bugzilla 1595191 urgent CLOSED glibc: Backport libio vtable validation improvements 2020-10-14 00:28:05 UTC
Red Hat Product Errata RHSA-2018:0805 None None None 2018-04-10 14:00:11 UTC
Sourceware 20191 'P2' 'RESOLVED' 'libio: vtables hardening' 2019-11-20 16:06:20 UTC

Internal Links: 1566623 1595191 1735708

Description Florian Weimer 2016-11-24 18:24:28 UTC
The upstream commit is:

commit db3476aff19b75c4fdefbe65fcd5f0a90588ba51
Author: Florian Weimer <fweimer@redhat.com>
Date:   Thu Jun 23 20:01:40 2016 +0200

    libio: Implement vtable verification [BZ #20191]

This was released with Fedora 25, which should give us sufficient testing coverage in the real world.

Comment 8 Florian Weimer 2018-04-03 12:02:57 UTC
*** Bug 1372306 has been marked as a duplicate of this bug. ***

Comment 10 errata-xmlrpc 2018-04-10 13:58:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0805


Note You need to log in before you can comment on or make changes to this bug.